Support for custom headers for handshake
Hi, please consider adding ability to add custom headers for handshake. In [RFC6455 ](https://tools.ietf.org/html/rfc6455#section-4.1) there one interesting point: > The request MAY include any other header fields, for example, > cookies [RFC6265] and/or authentication-related header fields > such as the |Authorization| header field [RFC2616], which are > processed according to documents that define them. I've found an example how to add custom header to handshake: https://blog.heckel.xyz/2014/10/30/http-basic-auth-for-websocket-connections-with-undertow/ but this is for Java and unfortunately isn't possible in HTML5. When searching over the net I found many places question about this option, for example: https://github.com/sta/websocket-sharp/pull/22 https://stackoverflow.com/questions/4361173/http-headers-in-websockets-client-api/4361358#4361358 https://github.com/aspnet/SignalR/issues/888 For example in Python this is possible https://stackoverflow.com/questions/15381414/sending-custom-headers-in-websocket-handshake. Other languages also support this. Last place missing is the browser. Please consider adding this into specification. Having this even as a draft would allow us to consider browser vendors to add support for it. If this is incorrect place for adding request about specification please forgive me and please point me to right place.
Posted by Misiu on Sep 22, 2017, 6:15 PM
Tags
Related issues
- Add 65536 size support for maps
- TypeScript 7.1 Iteration Plan
- nvim-treeconfig: upstream nvim-treesitter
- Add the "action" and "method" attributes to <button>
- [FEATURE] Support multiple Connector accounts (same connector, different accounts) in Claude and Claude Code on the web (claude.ai/code)
- > We were imposed GitHub for so many exercises!
Raise real-world problems, find people facing the same issue, and discuss solutions.4,500 issues0 comments
support (Software)
Add 65536 size support for maps
TypeScript 7.1 Iteration Plan
nvim-treeconfig: upstream nvim-treesitter
Add the "action" and "method" attributes to <button>
[FEATURE] Support multiple Connector accounts (same connector, different accounts) in Claude and Claude Code on the web (claude.ai/code)
> We were imposed GitHub for so many exercises!
Add support for Visual Studio 2026 Integration
Support for Helm v4
Support for custom headers for handshake
Hi, please consider adding ability to add custom headers for handshake. In [RFC6455 ](https://tools.ietf.org/html/rfc6455#section-4.1) there one interesting point: > The request MAY include any other header fields, for example, > cookies [RFC6265] and/or authentication-related header fields > such as the |Authorization| header field [RFC2616], which are > processed according to documents that define them. I've found an example how to add custom header to handshake: https://blog.heckel.xyz/2014/10/30/http-basic-auth-for-websocket-connections-with-undertow/ but this is for Java and unfortunately isn't possible in HTML5. When searching over the net I found many places question about this option, for example: https://github.com/sta/websocket-sharp/pull/22 https://stackoverflow.com/questions/4361173/http-headers-in-websockets-client-api/4361358#4361358 https://github.com/aspnet/SignalR/issues/888 For example in Python this is possible https://stackoverflow.com/questions/15381414/sending-custom-headers-in-websocket-handshake. Other languages also support this. Last place missing is the browser. Please consider adding this into specification. Having this even as a draft would allow us to consider browser vendors to add support for it. If this is incorrect place for adding request about specification please forgive me and please point me to right place.
Comments (0)
No comments yet. Start the discussion.